### Class

# WebKit2WebExtension DOMHTMLOptionsCollection

#### Description

    class WebKit2WebExtension.DOMHTMLOptionsCollection : WebKit2WebExtension.DOMHTMLCollection {
      parent_instance: WebKitDOMHTMLCollection
    }

No description available.

#### Ancestors

- WebKitDOMHTMLCollection
- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_html_options_collection_get_length

No description available.

deprecated: 2.22

###### webkit_dom_html_options_collection_get_selected_index

No description available.

deprecated: 2.22

###### webkit_dom_html_options_collection_named_item

No description available.

deprecated: 2.22

###### webkit_dom_html_options_collection_set_selected_index

No description available.

deprecated: 2.22

##### Methods inherited from WebKitDOMHTMLCollection (3)

###### webkit_dom_html_collection_get_length

No description available.

deprecated: 2.22

###### webkit_dom_html_collection_item

No description available.

deprecated: 2.22

###### webkit_dom_html_collection_named_item

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMHTMLOptionsCollection:length

No description available.

###### WebKit2WebExtension.DOMHTMLOptionsCollection:selected-index

No description available.

##### Properties inherited from WebKitDOMHTMLCollection (1)

###### WebKit2WebExtension.DOMHTMLCollection:length

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMHTMLOptionsCollectionClass {
      WebKitDOMHTMLCollectionClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMHTMLCollectionClass`
  No description available.